org.apache.lucene.facet.taxonomy.writercache.lru

## Enum LruTaxonomyWriterCache.LRUType

- java.lang.Object
- - java.lang.Enum<LruTaxonomyWriterCache.LRUType>
  - - org.apache.lucene.facet.taxonomy.writercache.lru.LruTaxonomyWriterCache.LRUType

- All Implemented Interfaces:
    Serializable, Comparable<LruTaxonomyWriterCache.LRUType>
  Enclosing class:
    LruTaxonomyWriterCache

      public static enum LruTaxonomyWriterCache.LRUType
      extends Enum<LruTaxonomyWriterCache.LRUType>

  Determines cache type. For guaranteed correctness - not relying on no-collisions in the hash function, LRU_STRING should be used.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LRU_HASHED`
    `LRU_STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LruTaxonomyWriterCache.LRUType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LruTaxonomyWriterCache.LRUType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LRU_HASHED

          public static final LruTaxonomyWriterCache.LRUType LRU_HASHED

    - #### LRU_STRING

          public static final LruTaxonomyWriterCache.LRUType LRU_STRING

  - ### Method Detail

    - #### values

          public static LruTaxonomyWriterCache.LRUType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LruTaxonomyWriterCache.LRUType c : LruTaxonomyWriterCache.LRUType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LruTaxonomyWriterCache.LRUType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.